package org.jboss.security;

package .tmp;

import org.jboss.security.SimplePrincipal;

public class CallerIdentity extends SimplePrincipal {
  private Object credential;
  
  private int hashCode;
  
  public CallerIdentity(String principal, Object credential) {
    super(principal);
    this.credential = credential;
  }
  
  public Object getCredential() {
    return this.credential;
  }
  
  public String toString() {
    return "[principal=" + getName() + "]";
  }
  
  public boolean equals(Object obj) {
    if (obj == null)
      return false; 
    if (obj instanceof org.jboss.security.CallerIdentity) {
      org.jboss.security.CallerIdentity other = (org.jboss.security.CallerIdentity)obj;
      return getName().equals(other.getName());
    } 
    return false;
  }
  
  public int hashCode() {
    if (this.hashCode == 0)
      this.hashCode = toString().hashCode(); 
    return this.hashCode;
  }
}
